:root {
    --flight-distance: 200px;
    @media (max-width: 767px) {
        --flight-distance: 110px;
    }
}

p {
    font-size: round(calc(32px + 0.75vw), 16px);
}

.full-height {
    height: 100vh;
}

.no-margin {
    margin: 0;
}

.grow {
    flex-grow: 1;
}

.animation-canvas {
    margin-top: 16px;
    height: 96px;
}

.flies {
    animation: fly 10s normal infinite;
    will-change: transform;
}

.info-card {
    margin: auto;
    padding: 0px 16px 32px 16px;
}

.pixel {
    image-rendering: pixelated;
}

@keyframes fly {
    0% {
        translate: calc(-1 * var(--flight-distance)) 0;
    }
    35% {
        rotate: 0deg;
        translate: var(--flight-distance) 0;
    }
    50% {
        rotate: 180deg;
        translate: var(--flight-distance) 0;
    }
    85% {
        rotate: 180deg;
        translate: calc(-1 * var(--flight-distance)) 0;
    }
    100% {
        rotate: 0deg;
        translate: calc(-1 * var(--flight-distance)) 0;
    }
}
